Alex_Miller Posted April 26, 2019 Posted April 26, 2019 Good day. I'm trying to make a delay into the cycle. It seems simple. But I may to see the whole result just after the cycle is finished. For example I draw the rotating clock hand. I want to get the flickering clock hand. ((lambda (/ osm p0 d) (setq osm (getvar "OSMODE")) (setvar "OSMODE" 0) (setq p0 '(0. 0. 0.) d (/ pi 180.0)) (repeat 3 (setq p1 (polar p0 (- d) 10.0)) (entmake (list (cons 0 "LINE") (cons 10 p0) (cons 11 p1))) (command "_.redraw" "_.delay" 1000) (entdel (entlast)) (setq d (+ d d)) ) (setvar "OSMODE" osm))) Quote
lrm Posted April 26, 2019 Posted April 26, 2019 I don't think you need the redraw command. Check out the end of this video I made that animates a four-bar linkage. I would think that animating a clock hand is a similar goal. 1 Quote
Alex_Miller Posted April 26, 2019 Author Posted April 26, 2019 lrm Thank you, great video. But the ended goal is animation through appearance and disappearance of primitive. If it is possible. Quote
lrm Posted April 26, 2019 Posted April 26, 2019 Would you consider using layers (freeze and thaw) as I suggested here? 1 Quote
Alex_Miller Posted April 26, 2019 Author Posted April 26, 2019 lrm This is an interesting advice! I'll try. Quote
tombu Posted April 26, 2019 Posted April 26, 2019 Check out: http://www.lee-mac.com/clock.html 1 Quote
Alex_Miller Posted April 26, 2019 Author Posted April 26, 2019 tombu thanks I already had seen that programm. There is a lot of lines. Quote
BIGAL Posted April 27, 2019 Posted April 27, 2019 Lot of lines well thats what coding is about the more complex the more lines. 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.